import { Logger, ViteDevServer } from 'vite';
import { FSTree } from './core/FSTree';
import { PluginOptions } from './types';

export declare class ReactApp {
    readonly options: PluginOptions;
    readonly cwd: string;
    logger: Logger;
    fsTree: FSTree;
    absApp: string;
    constructor(options: PluginOptions, cwd?: string);
    get output(): string;
    private _inApp;
    setup({ watcher }: ViteDevServer): void;
    start(): void;
    addFile(file: string): Promise<void>;
    updateFile(file: string): Promise<void>;
    removeFile(file: string): Promise<void>;
}
